lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dependency_updater/version"

Gem::Specification.new do |spec|
  spec.name          = "dependency_updater"
  spec.version       = DependencyUpdater::VERSION
  spec.authors       = ["David Michaux"]
  spec.email         = ["david.michaux@pennmedicine.upenn.edu"]
  spec.homepage      = "https://gitlab.med.upenn.edu/infrastructure/dependency-updater.git"
  spec.license       = "MIT"
  spec.summary       = %q{A tool to check for gem and Ruby version updates}

  spec.description   = <<~DESC
  This tool
  1. create's a new branch
  2. runs 'bundle update'
  3. find's the latest patch-level version of Ruby and updates files that reference the version
  4a. commit's the updates and pushes to gitlab, creating a new merge request
  4b. delete's the branch if no updates were made
  DESC

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency 'gitlab', '~> 4.14'
  spec.add_dependency 'rails', '~> 5.0'
  spec.add_dependency 'rest-client', '~> 2.1'
end
